#!/usr/bin/perl

@days=(31,28,31,30,31,30,31,31,30,31,30,31);

if ($#ARGV<0) {
    print "USE: read_header.pl fitsfile [add]\n";
    exit;
}

($Second, $Minute, $Hour, $Day, $Month, $Year, $WeekDay, $DayOfYear, $IsDST) = localtime(time);

$row=$ARGV[0];
if ($#ARGV==1) {
    $add=$ARGV[1];
}

$nk=0;
open(FH,"<$row");
$linea=<FH>;
close(FH);
$n=length($linea);
$i=0;
$j=0;
while ($i<($n-5)) {
    $porcion=substr($linea,$i,5);
    if ($porcion =~ " END ") {
	$j=$i;
	$i=$n;
    }
    $i++;		
}

$linea=substr($linea,0,$j);

$db_table="omega_files";
$instrument="OMEGA";
$i=0;
while ($i<($n-80)) {
    $porcion=substr($linea,$i,80);
    if ($porcion !~ "COMMENT") {
	@comentarios=split(/\//,$porcion);
	@DATA=split(/\=/,$comentarios[0]);
	$DATA[0] =~ s/^\s*(.*?)\s*$/$1/;
	$DATA[0] =~ s/ /_/g;
	$DATA[0] =~ s/\-/_/g;
	$DATA[1] =~ s/\'//g;
	if ($#ARGV==1) {
	    $field_now=$add."_".$DATA[0];
	} else {
	    $field_now=$DATA[0];
	}
	if ($DATA[0] ne "") {
	    $keyword[$nk]=$field_now;
	    $datum[$nk]=$DATA[1];
	    print "$keyword[$nk] | $datum[$nk]\n";
	    $nk++;
	}
    }
    $i=$i+80;
}

exit;
